#!/bin/bash

set -- $(getopt ab: "$@")

echo Ime Programa $0
echo Prvi argument $1
echo Drugi $2
echo Broj argumenata je $#

echo 'Koristim $@'
for i in "$@"; do
    echo $i
done

echo 'Koristim $*'
for i in "$*"; do
    echo $i
done

while getopts ab: opt; do
    case $opt in
	a) postoji_a=1
	    ;;
	b) argument_b=$OPTARG
	    ;;
	*) echo "Greska u parametrima"
	   exit -1
	   ;;
    esac
done

shift $(expr $OPTIND - 1)


#Pozicioni argumenti

echo "$*"

echo "postoji_a=$postoji_a arg_b=$argument_b"

#while [ $# -gt 0 ]; do
#    echo $1
#    shift
#done
